@import url('reset.css');

body {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

h1 {
  text-align: center;
  font-weight: 600;
  font-size: 34px;
  line-height: 36px;
  margin: 52px 0px 16px 0px;
}

#app {
  width: 414px;
  height: 727px;  
  border: 2px solid black;
  background-color: white;
  padding: 0px 16px;
  z-index: 2;
}

label[for="purchase-money"] {
  font-size: 15px;
  line-height: 24px;
  letter-spacing: 0.5px;
}

#lotto-purchase-form > button {
  background: #00BCD4;
  border-radius: 4px;
  width: 56px;
  height: 36px;
  padding: 6px 6px 6px 8px;
  color: #FFFFFF;
  font-weight: bold;
  letter-spacing: 1.25px;
  margin-left: 15px;
  outline: none;
  border: none;
  cursor: pointer;
}

#lotto-purchase-form > button:hover {
  background: #91c5cc;
  border-radius: 4px;
  width: 56px;
  height: 36px;
  padding: 6px 6px 6px 8px;
  color: #FFFFFF;
  font-weight: bold;
  letter-spacing: 1.25px;
  margin-left: 15px;
  outline: none;
  border: none;
  cursor: pointer;
}

#lotto-purchase-form > button:active {
  background: #d2d7d8;
  border-radius: 4px;
  width: 56px;
  height: 36px;
  padding: 6px 6px 6px 8px;
  color: black;
  font-weight: bold;
  letter-spacing: 1.25px;
  margin-left: 15px;
  outline: none;
  border: none;
  cursor: pointer;
}

#lotto-purchase-input {
  height: 36px;
  width: 294px;
  border: 1px solid #B4B4B4;
  box-sizing: border-box;
  border-radius: 4px;
  padding: 10px 5px;
}

#lotto-purchase-input::placeholder {
  color: #8B8B8B;
}

#purchase-validate-text {
  color: red;
}

#lotto-list {
  width: 300px;
  max-height: 300px;
  overflow: scroll;
  display: flex;
  flex-wrap: wrap;
}

.lotto-list-column {
  flex-direction: row;
}

.lotto-wrap {
  display: flex;
  flex-direction: row;
}

.hidden {
  display: none;
}

#lotto-purchase-result {
  width: 100%;
  overflow: hidden;
  display: flex;
  justify-content: space-between;
  margin-top: 28px;
}

.lotto-wrap {
  font-size: 30px;
  margin-right: 8px;
}

.lotto-numbers {
  font-size: 16px;
  line-height: 38px;
  margin-left: 6px;
  word-spacing: 1px;
}

#lotto-toggle-wrap {
  display: flex;
  flex-direction: column;
  opacity: 0;
}

.switch {
  position: relative;
  display: inline-block;
  width: 30px;
  height: 20px;
  margin-top: 4px;
  margin-left: 24px;
}

#show-lotto-toggle {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 3px;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 13px;
  width: 13px;
  left: 4px;
  bottom: 2px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(10px);
}

.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

#user-lotto {
  display: flex;
  flex-direction: column;
  margin-top: 30px;
  opacity: 0;
}

#user-lotto-text {
  display: flex;
  justify-content: space-between;
  margin-top: 10px;
}

#user-lotto-form {
  margin-top: 10px;
}

.user-lotto-number {
  width: 30px;
  height: 32px;
  border-radius: 3px;
  float: left;
  margin-right: 6px;
}

.user-bonus-number {
  width: 30px;
  height: 32px;
  border-radius: 3px;
  float: right;
}

#user-lotto-result-button {
  width: 382px;
  height: 36px;
  background-color: #00BCD4;
  border: none;
  border-radius: 4px;
  margin-top: 20px;
  color: white;
  font-size: 14px;
  font-weight: 600;
  cursor: pointer;
}

#user-lotto-result-button:hover {
  width: 382px;
  height: 36px;
  background: #91c5cc;
  border: none;
  border-radius: 4px;
  margin-top: 20px;
  color: white;
  font-size: 14px;
  font-weight: 600;
  cursor: pointer;
}

#user-lotto-result-button:active {
  width: 382px;
  height: 36px;
  background: #d2d7d8;
  border: none;
  border-radius: 4px;
  margin-top: 20px;
  color: black;
  font-size: 14px;
  font-weight: 600;
  cursor: pointer;
}

#user-lotto-result-modal {
  width: 350px;
  height: 500px;
  border: 1px solid black;
  background-color: white;
  border-radius: 4px;
  margin-left: -380px;
  z-index: 1;
}

#user-lotto-modal-close {
  background-color: white;
  border: none;
  margin-top: 4px;
  margin-left: 310px;
  font-size: 24px;
  cursor: pointer;
}

#user-lotto-modal-title {
  font-size: 18px;
  font-weight: 600;
  text-align: center;
  margin: 4px 0px 20px 0px;
}

#user-lotto-result-modal > div {
  width: 318px;
  height: 30px;
  margin: auto;
  display: flex;
  justify-content: space-around;
  line-height: 30px;
}

#user-lotto-result-modal > div > p {
  width: 100px;
  text-align: center;
}

hr {
  width: 318px;
}

#user-lotto-winrate {
  text-align: center;
  font-size: 18px;
  margin-top: 30px;
  font-weight: 600;
}

#user-lotto-restart {
  width: 152px;
  height: 36px;
  background-color: #00BCD4;
  border: none;
  border-radius: 4px;
  font-size: 16px;
  color: white;
  font-weight: 600;
  margin: 30px 0px 0px 100px;
  cursor: pointer;
}

#user-lotto-restart:hover {
  width: 152px;
  height: 36px;
  background: #91c5cc;
  border: none;
  border-radius: 4px;
  font-size: 16px;
  color: white;
  font-weight: 600;
  margin: 30px 0px 0px 100px;
  cursor: pointer;
}

#user-lotto-restart:active {
  width: 152px;
  height: 36px;
  background: #d2d7d8;
  border: none;
  border-radius: 4px;
  font-size: 16px;
  color: black;
  font-weight: 600;
  margin: 30px 0px 0px 100px;
  cursor: pointer;
}
